
------------------------------------------------------------------------
--# Animated images
------------------------------------------------------------------------

include GtkEngine.e

constant docs = "<b><u>Animated</u></b> images are easy to use!",
    win = create(GtkWindow,"size=160x140,border=10,position=1,$destroy=Quit"),
    panel = add(win,create(GtkBox,"orientation=VERTICAL")),
    lbl   = add(panel,create(GtkLabel,{{"markup",docs}})),
    img   = add(panel,create(GtkImage,"thumbnails/dino_slo.gif"))

-- note: add() returns the handle of the item that was added, 
-- so we can nest these calls for compact code	

show_all(win)
main()

